public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile-git/
Date: Fri,  5 Jun 2020 08:26:27 +0000 (UTC)	[thread overview]
Message-ID: <1591345584.e23bd1b20a4a8d70d0a30eb420475b0287b48243.slyfox@gentoo> (raw)

commit:     e23bd1b20a4a8d70d0a30eb420475b0287b48243
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Fri Jun  5 08:26:14 2020 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Fri Jun  5 08:26:24 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e23bd1b2

dev-scheme/guile-git: raise lower boutnd of libgit to 1

It's not clear why old libgit2 crashes, but upgrading
to newer one helps. Let's encode it in dependencies.

Reported-by: Marcel Schilling
Bug: https://github.com/trofi/nix-guix-gentoo/issues/7
Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 dev-scheme/guile-git/guile-git-0.3.0-r1.ebuild | 47 ++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/dev-scheme/guile-git/guile-git-0.3.0-r1.ebuild b/dev-scheme/guile-git/guile-git-0.3.0-r1.ebuild
new file mode 100644
index 00000000000..b32e822b59f
--- /dev/null
+++ b/dev-scheme/guile-git/guile-git-0.3.0-r1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Guile bindings of git"
+HOMEPAGE="https://gitlab.com/guile-git/guile-git"
+SRC_URI="https://gitlab.com/guile-git/guile-git/uploads/4c563d8e7e1ff84396abe8ca7011bcaf/guile-git-${PV}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# older libgit seems to be incompatible with guile-git bindings
+# https://github.com/trofi/nix-guix-gentoo/issues/7
+RDEPEND="
+	>=dev-scheme/guile-2.0.11:=
+	dev-scheme/bytestructures
+	>=dev-libs/libgit2-1:=
+"
+DEPEND="${RDEPEND}"
+
+RESTRICT=test # Tets suite needs a fix: https://gitlab.com/guile-git/guile-git/issues/18
+
+# guile generates ELF files without use of C or machine code
+# It's a portage's false positive. bug #677600
+QA_FLAGS_IGNORED='.*[.]go'
+
+src_prepare() {
+	default
+
+	# guile is trying to avoid recompilation by checking if file
+	#     /usr/lib64/guile/2.2/site-ccache/<foo>
+	# is newer than
+	#     <foo>
+	# In case it is instead of using <foo> guile
+	# loads system one (from potentially older version of package).
+	# To work it around we bump last modification timestamp of
+	# '*.scm' files.
+	# http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38112
+	find "${S}" -name "*.scm" -exec touch {} + || die
+}
+
+src_test() {
+	emake check VERBOSE=1
+}


             reply	other threads:[~2020-06-05  8:26 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-05  8:26 Sergei Trofimovich [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-30 13:52 [gentoo-commits] repo/gentoo:master commit in: dev-scheme/guile-git/ Sam James
2024-10-23 15:44 Maciej Barć
2024-10-02  9:49 Maciej Barć
2024-05-02 15:01 Maciej Barć
2024-02-28 21:24 Maciej Barć
2024-02-28 21:24 Maciej Barć
2024-02-27 22:53 Maciej Barć
2023-05-08 12:21 Maciej Barć
2021-11-26  8:46 Maciej Barć
2021-11-25 15:43 Maciej Barć
2021-08-08 12:28 Ulrich Müller
2021-08-04  9:01 Sergei Trofimovich
2021-07-24 10:41 Sergei Trofimovich
2021-05-09 11:53 Sergei Trofimovich
2021-04-25  9:06 Sergei Trofimovich
2021-04-24 12:37 Sergei Trofimovich
2021-04-15 18:28 Sergei Trofimovich
2020-11-07  8:49 Sergei Trofimovich
2020-10-23 22:06 Sergei Trofimovich
2020-06-20 19:49 Sergei Trofimovich
2020-05-22 18:22 Sergei Trofimovich
2020-03-23 23:58 Sergei Trofimovich
2020-02-26 13:27 Sergei Trofimovich
2020-02-12 22:32 Sergei Trofimovich
2019-11-07 23:39 Sergei Trofimovich
2019-05-03 10:00 Sergei Trofimovich
2019-05-03  9:14 Sergei Trofimovich
2018-02-28 21:05 Sergei Trofimovich
2018-01-24 22:57 Sergei Trofimovich
2018-01-20 11:23 Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1591345584.e23bd1b20a4a8d70d0a30eb420475b0287b48243.slyfox@gentoo \
    --to=slyfox@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox